Get E-Way Bills By Date
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignee/bills \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/e-way-bill/consignee/bills"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/e-way-bill/consignee/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": [
{
"docDate": "01/05/2024",
"docNo": "7001-20",
"ewayBillDate": "03/05/2024 01:11:00 PM",
"ewbNo": 261010077217,
"fromGstin": "27AAACQ3770E004",
"fromTradeName": "welton",
"genGstin": "27AAACQ3770E004",
"genMode": "API",
"hsnCode": 1001,
"hsnDesc": "Wheat",
"rejectStatus": "N",
"status": "ACT",
"toGstin": "24AAACQ3770E003",
"toTradeName": "sthuthya",
"totInvValue": 59464.94
}
],
"status": "1"
},
"timestamp": 1763446641000,
"transaction_id": "415f2cb7-73e0-4c9d-b603-ea8f2e1cee2d"
}Get E-Way Bills By Date
Consignee can easily fetch E-Way Bills by generated date.
GET
/
gst
/
compliance
/
e-way-bill
/
consignee
/
bills
Get E-Way Bills By Date
Headers
E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.
API key for identification
API version
Query Parameters
E-Way bill generated date
Example:
"18/09/2024"
Was this page helpful?
āI